<?php
/**
 * KnowledgeHub Admin Class.
 *
 * @package KnowledgeHub
 * @since   1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('KnowledgeHub_Admin')) :
    /**
     * KnowledgeHub_Admin Class.
     */
    class KnowledgeHub_Admin
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'));
        }

        /**
         * Localize array for import button AJAX request.
         */
        public function enqueue_scripts()
        {
            wp_enqueue_style(
                'knowledgehub-admin-style',
                get_template_directory_uri() . '/inc/dashboard/css/admin.css',
                array(),
                KNOWLEDGEHUB_VERSION
            );

            wp_enqueue_script('knowledgehub-plugin-install-helper', get_template_directory_uri() . '/inc/dashboard/js/admin.js', array('jquery'), KNOWLEDGEHUB_VERSION);
            $knowledgehub_welcome_data = array(
                'uri' => esc_url(admin_url('/themes.php?page=knowledgehub&tab=starter-templates')),
                'btn_text' => esc_html__('Processing...', 'knowledgehub'),
                'nonce' => wp_create_nonce('knowledgehub_demo_import_nonce'),
                'admin_url' => esc_url(admin_url()),
                'ajaxurl' => admin_url('admin-ajax.php'), // Include this line for using admin-ajax.php
            );
            wp_localize_script('knowledgehub-plugin-install-helper', 'knowledgehubRedirectDemoPage', $knowledgehub_welcome_data);
        }

        
    }
endif;
return new KnowledgeHub_Admin();
